dots.v2.genAi.evaluation_runs.post()
Generated on 5 Nov 2026
from DoTs version
v1.23.0
Usage
client.v2.genAi.evaluation_runs.post(body: ApiRunEvaluationTestCaseInputPublic, requestConfiguration?: RequestConfiguration<object>): Promise<undefined | ApiRunEvaluationTestCaseOutput>Description
To run an evaluation test case, send a POST request to /v2/gen-ai/evaluation_runs.
Parameters
agentDeploymentNamesarray of strings optionalExample:
["example string"]Agent deployment names to run the test case against.
agentUuidsarray of strings optionalExample:
["example string"]Agent UUIDs to run the test case against (legacy agents).
runNamestring optionalExample:
Evaluation Run NameThe name of the run.
testCaseUuidstring optionalExample:
"12345678-1234-1234-1234-123456789012"Test-case UUID to run
Request Sample
Response Example
More Information
See /v2/gen-ai/evaluation_runs in the API reference for additional detail on responses, headers, parameters, and more.